﻿
$ErrorActionPreference = 'Stop';
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://www.kinovea.org/setup/kinovea.0.8.26/Kinovea-0.8.26-win32.exe'
$url64      = 'https://www.kinovea.org/setup/kinovea.0.8.26/Kinovea-0.8.26-x64.exe'

$packageArgs = @{
  packageName   = $env:ChocolateyPackageName
  unzipLocation = $toolsDir
  fileType      = 'exe'
  url           = $url
  url64bit      = $url64

  softwareName  = 'kinovea*'

  checksum      = 'F4EF792B57302621C0092969B120ABB15C01608312247DC5C5E598D9C74AA46C'
  checksumType  = 'sha256'
  checksum64    = 'E952FA8A958764D53AA12D1F947F033559722B045CA6E4F31FE2B7549F8AEDBB'
  checksumType64= 'sha256'

  silentArgs    = "/S"
  validExitCodes= @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
